<#if node.isDocument>
   <#assign thisSpace = node.parent>
<#else>
   <#assign thisSpace = node>
</#if>

<#assign selected ="false">
<#if ! args.n?exists>
	<#assign selected ="true">
</#if>

<ul id="${thisSpace.nodeRef}" title="${thisSpace.name}" selected="${selected}">
	<li>
		<#if ! args.storeid?exists>
			<a href="#${thisSpace.nodeRef}_details">
				<img class="thumbnail" src="${url.context}${thisSpace.icon32}" alt="${thisSpace.name}" />
				<div class="details">
					${thisSpace.name}
					<#if thisSpace.properties.description?exists>
						<span class="description">
							<br/>${thisSpace.properties.description}					
						</span>
					</#if>	
				</div>
			</a>
		<#else>
			<a onClick="window.open('${previewurl}','${thisSpace.name}')">Preview Site</a>
		</#if>
	</li>
	<#assign spacesFound = 0>
	<li>Sub Directories</li>
	<#list thisSpace.children?sort_by('name') as child>
	   <#if child.isContainer>
		  <#assign spacesFound = spacesFound + 1>
		  <li>
				<a href="${url.serviceContext}/iphone/navigation/avm?p=${path}/${child.name}&previewurl=${previewurl}/${child.name}" title="Open ${child.name}">
				<img class="thumbnail" src="${url.context}${child.icon32}" alt="${child.name}" />
				<div class="details">
					${child.name}					
					<span class="description">
						<#if child.properties.description?exists>
							<br />${child.properties.description}
						</#if>	
						<br />${child.properties.modified?datetime}
					</span>
				</div>
				</a>
		  </li>
	   </#if>
	</#list>
	<#if spacesFound = 0>
		  <li>(No sub-directories)</li>
	</#if>
	<#assign documentsFound = 0>
	<li>Files</li>
	<#list thisSpace.children?sort_by('name') as child>
	   <#if child.isDocument>
		  <#assign documentsFound = documentsFound + 1>
		  <li>
				<a href="#${child.nodeRef}" title="Open ${child.name}">
				<img class="thumbnail" src="${url.context}${child.icon32}" alt="${child.name}" />
				<div class="details">
					${child.name}					
					<span class="description">
						<#if child.properties.description?exists>
							<br />${child.properties.description}
						</#if>	
						<br />${(child.size / 1024)?int}Kb
						<br />${child.properties.modified?datetime}
					</span>
				</div>
				</a>
		  </li>
	   </#if>
	</#list>
	<#if documentsFound = 0>
		  <li>(No files)</li>
	</#if>
</ul>

<ul id="${thisSpace.nodeRef}_details" title="Details of ${thisSpace.name}">
	<li>
		<img class="thumbnail" src="${url.context}${thisSpace.icon32}" alt="${thisSpace.name}" />
		<div class="spacedetails">
			${thisSpace.name}<br/>
			<table>
				<#if thisSpace.properties.title?exists>
				<tr>
					<td>
						<span class="property">Title:</span>
					</td>
					<td>
						<span class="description">${thisSpace.properties.title}</span>
					</td>
				</tr>				
				</#if>
				<tr>
					<td>
						<span class="property">Creator:</span>
					</td>
					<td>
						<span class="description">${thisSpace.properties.creator}</span>
					</td>
				</tr>				
				<tr>
					<td>
						<span class="property">Created Date:</span>
					</td>
					<td>
						<span class="description">${thisSpace.properties.created?datetime}</span>
					</td>
				</tr>				
				<tr>
					<td>
						<span class="property">Modifier:</span>
					</td>
					<td>
						<span class="description">${thisSpace.properties.modifier}</span>
					</td>
				</tr>				
				<tr>
					<td>
						<span class="property">Modified Date:</span>
					</td>
					<td>
						<span class="description">${thisSpace.properties.modified?datetime}</span>
					</td>
				</tr>				
				<#if thisSpace.properties.author?exists>
				<tr>
					<td>
						<span class="property">
							Author:
						</span>
					</td>
					<td>
						<span class="description">
							${thisSpace.properties.author}
						</span>
					</td>
					</tr>
				</#if>
				<#if thisSpace.properties.description?exists>
				<tr>
					<td>
						<span class="property">
							Description:
						</span>
					</td>
					<td>
						<span class="description">
							${thisSpace.properties.description}
						</span>
					</td>
					</tr>
				</#if>
			</table>
		</div>
	</li>
	<li>
		<a onClick="window.open('${previewurl}','${thisSpace.name}')">Preview</a>
	</li>
	
</ul>

<#if documentsFound != 0>
	<#list thisSpace.children?sort_by('name') as child>
	   <#if child.isDocument>
		  <ul id="${child.nodeRef}" title="Details of ${child.name}">
		  <li>
				<img class="thumbnail" src="${url.context}${child.icon32}" alt="${child.name}" />
				<div class="details">
					${child.name}<br/>
					<table>
						<#if child.properties.title?exists>
						<tr>
							<td>
								<span class="property">Title:</span>
							</td>
							<td>
								<span class="description">${child.properties.title}</span>
							</td>
						</tr>
						</#if>
						<tr>
							<td>
								<span class="property">Creator:</span>
							</td>
							<td>
								<span class="description">${child.properties.creator}</span>
							</td>
						</tr>				
						<tr>
							<td>
								<span class="property">Created Date:</span>
							</td>
							<td>
								<span class="description">${child.properties.created?datetime}</span>
							</td>
						</tr>				
						<tr>
							<td>
								<span class="property">Modifier:</span>
							</td>
							<td>
								<span class="description">${child.properties.modifier}</span>
							</td>
						</tr>				
						<tr>
							<td>
								<span class="property">Modified Date:</span>
							</td>
							<td>
								<span class="description">${child.properties.modified?datetime}</span>
							</td>
						</tr>				
						<tr>
							<td>
								<span class="property">Size:</span>
							</td>
							<td>
								<span class="description">${(child.size / 1024)?int}Kb</span>
							</td>
						</tr>				
						<tr>
							<td>
								<span class="property">Content Type:</span>
							</td>
							<td>
								<span class="description">${child.properties.content.mimetype}</span>
							</td>
						</tr>				
						<#if child.properties.content.encoding?exists>
						<tr>
							<td>
								<span class="property">Encoding:</span>
							</td>
							<td>
								<span class="description">
									${child.properties.content.encoding}
								</span>
							</td>
						</tr>
						</#if>
						<#if child.properties.author?exists>
						<tr>
							<td>
								<span class="property">
									Author:
								</span>
							</td>
							<td>
								<span class="description">
									${child.properties.author}
								</span>
							</td>
							</tr>
						</#if>
						<#if child.properties.description?exists>
						<tr>
							<td>
								<span class="property">
									Description:
								</span>
							</td>
							<td>
								<span class="description">
									${child.properties.description}
								</span>
							</td>
							</tr>
						</#if>
					</table>
				</div>
		  </li>
		  <#assign mimetype = child.properties.content.mimetype>
		  <#assign isImage=child.isDocument && mimetype?starts_with("image/")>
		  <#assign isVideo=child.isDocument && mimetype?starts_with("video/")>
			<#if mimetype?starts_with("image/")>
			<li>
				<img class="largeimage" src="${url.serviceContext}/api/node/content/${child.nodeRef.storeRef.protocol}/${child.nodeRef.storeRef.identifier}/${child.nodeRef.id}/${child.name?url}"/>
			</li>
		  </#if>
			   <#if mimetype == "application/pdf" || mimetype == "application/msword" || mimetype == "text/html" || mimetype == "text/xml" || mimetype == "text/plain">
				  <li>
				  	<a onClick="window.open('/alfresco${child.url}','${child.name}')">Read Document</a>
				  </li>
			   </#if>			  		  
		  <li>
			<a onClick="window.open('${previewurl}/${child.name}','${child.name}')">Preview</a>
		  </li>
		  </ul>
	   </#if>
	</#list>
</#if>
