<#if node.isDocument>
   <#assign thisSpace = node.parent>
<#else>
   <#assign thisSpace = node>
</#if>

<#if ! args.n?exists>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
         "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>iAlfresco</title>
<meta name="viewport" content="width=320; initial-scale=1.0; maximum-scale=1.0; user-scalable=0;"/>
<style type="text/css" media="screen">@import "${url.context}/scripts/iui/iui.css";</style>
<script type="application/x-javascript" src="${url.context}/scripts/iui/iui.js"></script>

<style type="text/css">
li .thumbnail {
    position: absolute;
    width: 32px;
    border: 0 none;
}

li .details {
    display: block;
    position: relative;
    width: 300px;
	text-align: left;
    font-size: 80%;
    left: 50px;
}

li .description {
    font-size: 80%;
    font-weight: normal;
}

li .property {
    font-size: 80%;
    font-weight: bold;
    white-space: nowrap;
}

li .spacedetails {
    display: block;
    position: relative;
	text-align: left;
    font-size: 80%;
    left: 50px;
}

li .largeimage {
    width: 300px;
}

li .inlinetext {
    font-size: 60%;
}

</style>

<body onclick="console.log('Hello', event.target);">

    <div class="toolbar">
        <h1 id="pageTitle"></h1>
        <a id="backButton" class="button" href="#"></a>
        <a class="button" href="#searchForm">Search</a>
    </div>
</#if>

<#assign selected ="false">
<#if ! args.n?exists>
	<#assign selected ="true">
</#if>

    <ul id="${thisSpace.id}" title="${thisSpace.name}" selected="${selected}">
		<li>
			<a href="#${thisSpace.id}_details">
			<img class="thumbnail" src="${url.context}${thisSpace.icon32}" alt="${thisSpace.name}" />
			<div class="details">
				${thisSpace.name}
				<#if thisSpace.properties.description?exists>
					<span class="description">
						<br/>${thisSpace.properties.description}
					</span>
				</#if>	
			</div>
			</a>
		</li>
		<#assign spacesFound = 0>
		<li>Sub Spaces</li>
		<#list thisSpace.children?sort_by('name') as child>
		   <#if child.isContainer>
			  <#assign spacesFound = spacesFound + 1>
			  
			  <#if child.properties["{http://www.alfresco.org/model/wcmappmodel/1.0}avmstore"]??>
				  <li>
						<a href="${url.serviceContext}/iphone/navigation/avm?storeid=${child.properties["{http://www.alfresco.org/model/wcmappmodel/1.0}avmstore"]}" title="Open ${child.name}">
						<img class="thumbnail" src="${url.context}${child.icon32}" alt="${child.name}" />
						<div class="details">
							${child.name}					
							<span class="description">
								<#if child.properties.description?exists>
									<br />${child.properties.description}
								</#if>	
								<br />${child.properties.modified?datetime}
							</span>
						</div>
						</a>
				  </li>
			  <#else>
				  <li>
						<a href="${url.serviceContext}/iphone/navigation?n=${child.id}" title="Open ${child.name}">
						<img class="thumbnail" src="${url.context}${child.icon32}" alt="${child.name}" />
						<div class="details">
							${child.name}					
							<span class="description">
								<#if child.properties.description?exists>
									<br />${child.properties.description}
								</#if>	
								<br />${child.properties.modified?datetime}
							</span>
						</div>
						</a>
				  </li>
		   	</#if>
		  </#if>
		</#list>
		<#if spacesFound = 0>
			  <li>(No subspaces)</li>
		</#if>
		<#assign documentsFound = 0>
		<li>Documents</li>
		<#list thisSpace.children?sort_by('name') as child>
		   <#if child.isDocument>
			  <#assign documentsFound = documentsFound + 1>
			  <li>
					<a href="#${child.id}" title="Open ${child.name}">
					<img class="thumbnail" src="${url.context}${child.icon32}" alt="${child.name}" />
				 	<div class="details">
						${child.name}					
						<span class="description">
							<#if child.properties.description?exists>
								<br />${child.properties.description}
							</#if>	
							<br />${(child.size / 1024)?int}Kb
							<br />${child.properties.modified?datetime}
						</span>
				 	</div>
				 	</a>
			  </li>
		   </#if>
		</#list>
		<#if documentsFound = 0>
			  <li>(No documents)</li>
		</#if>
    </ul>

	<ul id="${thisSpace.id}_details" title="Details of ${thisSpace.name}">
		<li>
			<img class="thumbnail" src="${url.context}${thisSpace.icon32}" alt="${thisSpace.name}" />
			<div class="spacedetails">
				${thisSpace.name}<br/>
				<table>
					<#if thisSpace.properties.title?exists>
					<tr>
						<td>
							<span class="property">Title:</span>
						</td>
						<td>
							<span class="description">${thisSpace.properties.title}</span>
						</td>
					</tr>				
					</#if>
					<tr>
						<td>
							<span class="property">Creator:</span>
						</td>
						<td>
							<span class="description">${thisSpace.properties.creator}</span>
						</td>
					</tr>				
					<tr>
						<td>
							<span class="property">Created Date:</span>
						</td>
						<td>
							<span class="description">${thisSpace.properties.created?datetime}</span>
						</td>
					</tr>				
					<tr>
						<td>
							<span class="property">Modifier:</span>
						</td>
						<td>
							<span class="description">${thisSpace.properties.modifier}</span>
						</td>
					</tr>				
					<tr>
						<td>
							<span class="property">Modified Date:</span>
						</td>
						<td>
							<span class="description">${thisSpace.properties.modified?datetime}</span>
						</td>
					</tr>				
					<#if thisSpace.properties.author?exists>
					<tr>
						<td>
							<span class="property">
								Author:
							</span>
						</td>
						<td>
							<span class="description">
								${thisSpace.properties.author}
							</span>
						</td>
						</tr>
					</#if>
					<#if thisSpace.properties.description?exists>
					<tr>
						<td>
							<span class="property">
								Description:
							</span>
						</td>
						<td>
							<span class="description">
								${thisSpace.properties.description}
							</span>
						</td>
						</tr>
					</#if>
				</table>
			</div>
		</li>
	</ul>
		
	<#if documentsFound != 0>
		<#list thisSpace.children?sort_by('name') as child>
		   <#if child.isDocument>
			  <ul id="${child.id}" title="Details of ${child.name}">
			  <li>
					<img class="thumbnail" src="${url.context}${child.icon32}" alt="${child.name}" />
				 	<div class="details">
						${child.name}<br/>
						<table>
							<#if child.properties.title?exists>
							<tr>
								<td>
									<span class="property">Title:</span>
								</td>
								<td>
									<span class="description">${child.properties.title}</span>
								</td>
							</tr>
							</#if>
							<tr>
								<td>
									<span class="property">Creator:</span>
								</td>
								<td>
									<span class="description">${child.properties.creator}</span>
								</td>
							</tr>				
							<tr>
								<td>
									<span class="property">Created Date:</span>
								</td>
								<td>
									<span class="description">${child.properties.created?datetime}</span>
								</td>
							</tr>				
							<tr>
								<td>
									<span class="property">Modifier:</span>
								</td>
								<td>
									<span class="description">${child.properties.modifier}</span>
								</td>
							</tr>				
							<tr>
								<td>
									<span class="property">Modified Date:</span>
								</td>
								<td>
									<span class="description">${child.properties.modified?datetime}</span>
								</td>
							</tr>				
							<tr>
								<td>
									<span class="property">Size:</span>
								</td>
								<td>
									<span class="description">${(child.size / 1024)?int}Kb</span>
								</td>
							</tr>				
							<tr>
								<td>
									<span class="property">Content Type:</span>
								</td>
								<td>
									<span class="description">${child.properties.content.mimetype}</span>
								</td>
							</tr>				
							<#if child.properties.content.encoding?exists>
							<tr>
								<td>
									<span class="property">Encoding:</span>
								</td>
								<td>
									<span class="description">
										${child.properties.content.encoding}
									</span>
								</td>
							</tr>
							</#if>
							<#if child.properties.author?exists>
							<tr>
								<td>
									<span class="property">
										Author:
									</span>
								</td>
								<td>
									<span class="description">
										${child.properties.author}
									</span>
								</td>
								</tr>
							</#if>
							<#if child.properties.description?exists>
							<tr>
								<td>
									<span class="property">
										Description:
									</span>
								</td>
								<td>
									<span class="description">
										${child.properties.description}
									</span>
								</td>
								</tr>
							</#if>
						</table>
				 	</div>
			  </li>
			  <#assign mimetype = child.properties.content.mimetype>
			  <#assign isImage=child.isDocument && mimetype?starts_with("image/")>
			  <#assign isVideo=child.isDocument && mimetype?starts_with("video/")>
				<#if mimetype?starts_with("image/")>
			  	<li>
			  		<img class="largeimage" src="${url.serviceContext}/api/node/content/${child.nodeRef.storeRef.protocol}/${child.nodeRef.storeRef.identifier}/${child.nodeRef.id}/${child.name?url}"/>
			  	</li>
			  </#if>
			   <#if mimetype == "application/pdf" || mimetype == "application/msword" || mimetype == "text/html" || mimetype == "text/xml" || mimetype == "text/plain">
				  <li>
				  	<a onClick="window.open('/alfresco${child.url}','${child.name}')">Read Document</a>
				  </li>
			   </#if>
			   <#if child.childAssocs["fm:discussion"]??>
			      
					<#list child.childAssocs["fm:discussion"] as forum>
						<#if forum.childAssocs["cm:contains"]??>
							<#list forum.childAssocs["cm:contains"] as topic>
								<li>
								<span class="property">Topic </span><span class="description"><u>${topic.name}</u></span><br/>
								<span class="description">Click <a href="mailto:${topic.properties["sys:node-dbid"]}@localhost.com">here</a> to reply.</span><br/>
								<#if topic.childAssocs["cm:contains"]??>
									<#list topic.childAssocs["cm:contains"] as post>
										<span class="description"><i>${post.properties["cm:creator"]} @ ${post.properties.created?datetime} wrote:</i></span>
										<br/>
										<span class="description">${post.content}</span><br/>
									</#list>
								</#if>
								</li>	
							</#list>
						</#if>
					</#list>
			   </#if>			   
			  </ul>
		   </#if>
		</#list>
	</#if>

<#if ! args.n?exists>

    <form id="searchForm" class="dialog" action="${url.serviceContext}/iphone/isearch" method="post">
        <fieldset>
            <h1>Search</h1>
            <a class="button leftButton" type="cancel">Cancel</a>
            <a class="button blueButton" type="submit">Search</a>
            
            <label>Key:</label>
            <input type="text" name="keyword" value=""/>
        </fieldset>
    </form>

</body>
</html>

</#if>