<ul title="Search Results">
	<#list results as child>
	<#if child.isContainer>
		<#assign thisSpace = child>
		<li>
			<img class="thumbnail" src="${url.context}${thisSpace.icon32}" alt="${thisSpace.name}" />
			<div class="spacedetails">
				${thisSpace.name}<br/>
				<table>
					<tr>
						<td>
							<span class="property">Title:</span>
						</td>
						<td>
							<span class="description">${thisSpace.properties.title}</span>
						</td>
					</tr>				
					<tr>
						<td>
							<span class="property">Creator:</span>
						</td>
						<td>
							<span class="description">${thisSpace.properties.creator}</span>
						</td>
					</tr>				
					<tr>
						<td>
							<span class="property">Created Date:</span>
						</td>
						<td>
							<span class="description">${thisSpace.properties.created?datetime}</span>
						</td>
					</tr>				
					<tr>
						<td>
							<span class="property">Modifier:</span>
						</td>
						<td>
							<span class="description">${thisSpace.properties.modifier}</span>
						</td>
					</tr>				
					<tr>
						<td>
							<span class="property">Modified Date:</span>
						</td>
						<td>
							<span class="description">${thisSpace.properties.modified?datetime}</span>
						</td>
					</tr>				
					<#if thisSpace.properties.author?exists>
					<tr>
						<td>
							<span class="property">
								Author:
							</span>
						</td>
						<td>
							<span class="description">
								${thisSpace.properties.author}
							</span>
						</td>
						</tr>
					</#if>
					<#if thisSpace.properties.description?exists>
					<tr>
						<td>
							<span class="property">
								Description:
							</span>
						</td>
						<td>
							<span class="description">
								${thisSpace.properties.description}
							</span>
						</td>
						</tr>
					</#if>
				</table>
			</div>
		</li>
	</#if>
	<#if child.isDocument>
		<li>
			<img class="thumbnail" src="${url.context}${child.icon32}" alt="${child.name}" />
			<div class="details">
				${child.name}<br/>
				<table>
					<#if child.properties.title?exists>
					<tr>
						<td>
							<span class="property">Title:</span>
						</td>
						<td>
							<span class="description">${child.properties.title}</span>
						</td>
					</tr>
					</#if>
					<tr>
						<td>
							<span class="property">Creator:</span>
						</td>
						<td>
							<span class="description">${child.properties.creator}</span>
						</td>
					</tr>				
					<tr>
						<td>
							<span class="property">Created Date:</span>
						</td>
						<td>
							<span class="description">${child.properties.created?datetime}</span>
						</td>
					</tr>				
					<tr>
						<td>
							<span class="property">Modifier:</span>
						</td>
						<td>
							<span class="description">${child.properties.modifier}</span>
						</td>
					</tr>				
					<tr>
						<td>
							<span class="property">Modified Date:</span>
						</td>
						<td>
							<span class="description">${child.properties.modified?datetime}</span>
						</td>
					</tr>				
					<tr>
						<td>
							<span class="property">Size:</span>
						</td>
						<td>
							<span class="description">${(child.size / 1024)?int}Kb</span>
						</td>
					</tr>				
					<tr>
						<td>
							<span class="property">Content Type:</span>
						</td>
						<td>
							<span class="description">${child.properties.content.mimetype}</span>
						</td>
					</tr>				
					<#if child.properties.content.encoding?exists>
					<tr>
						<td>
							<span class="property">Encoding:</span>
						</td>
						<td>
							<span class="description">
								${child.properties.content.encoding}
							</span>
						</td>
					</tr>
					</#if>
					<#if child.properties.author?exists>
					<tr>
						<td>
							<span class="property">
								Author:
							</span>
						</td>
						<td>
							<span class="description">
								${child.properties.author}
							</span>
						</td>
						</tr>
					</#if>
					<#if child.properties.description?exists>
					<tr>
						<td>
							<span class="property">
								Description:
							</span>
						</td>
						<td>
							<span class="description">
								${child.properties.description}
							</span>
						</td>
						</tr>
					</#if>
				</table>
			</div>
		</li>
	  <#assign mimetype = child.properties.content.mimetype>
	  <#assign isImage=child.isDocument && mimetype?starts_with("image/")>
	  <#assign isVideo=child.isDocument && mimetype?starts_with("video/")>
		<#if mimetype?starts_with("image/")>
		<li>
			<img class="largeimage" src="${url.serviceContext}/api/node/content/${child.nodeRef.storeRef.protocol}/${child.nodeRef.storeRef.identifier}/${child.nodeRef.id}/${child.name?url}"/>
		</li>
	  </#if>
	   <#if mimetype == "application/pdf" || mimetype == "application/msword" || mimetype == "text/html" || mimetype == "text/xml" || mimetype == "text/plain">
		  <li>
			<a onClick="window.open('/alfresco${child.url}','${child.name}')">Read Document</a>
		  </li>
	   </#if>			  
		</#if>
	</#list>
</ul>
